%define distsuffix plf
%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary:	Regulatory Daemon for the Intel PRO/Wireless 3945ABG Driver
Name:		ipw3945d
Version:	1.7.18
Release:	%mkrel 2
License:	distributable
Group:		System/Kernel and hardware
URL:		http://ipw3945.sourceforge.net/#requirements
Source0:	http://bughost.org/ipw3945/daemon/ipw3945d-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%ix86 x86_64
BuildRequires:	dos2unix

%description
This package contains the regulatory daemon for the ipw-3945 driver.
Usage of this daemon is subject to the terms contained in the included
LICENSE file. Please read the license carefully.

This package is in plf because the microcode is not free itself,
it can only be distributed

%prep
%setup -q

%build
dos2unix LICENSE.ipw3945d

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
%ifarch %ix86
  install -p x86/ipw3945d %{buildroot}%{_sbindir}
%endif
%ifarch x86_64
  install -p x86_64/ipw3945d %{buildroot}%{_sbindir}
%endif
mkdir -p %{buildroot}%{_sysconfdir}/modprobe.d
cat > %{buildroot}%{_sysconfdir}/modprobe.d/ipw3945 <<EOF
install ipw3945 /sbin/modprobe --ignore-install ipw3945 ; sleep 0.5 ; %{_sbindir}/ipw3945d --quiet ; sleep 1
remove  ipw3945 %{_sbindir}/ipw3945d --kill ; /sbin/modprobe -r --ignore-remove ipw3945
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.ipw3945d LICENSE.ipw3945d
%{_sbindir}/ipw3945d
%{_sysconfdir}/modprobe.d/ipw3945

%changelog
* Sat Jun 10 2006 Michael Reinsch <mr@uue.org> 1.7.18-2plf
- use arch macros
- put daemon into %{_sbindir}
- added config for modprobe to load daemon when kernel module is loaded

* Sat Jun 10 2006 Michael Reinsch <mr@uue.org> 1.7.18-1plf
- first package for plf
